Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000073Built-In ExtensionsPlurality (Emily Short)public2010-06-19 08:452010-07-02 02:07
ReporterEric Eve 
Assigned Toemshort 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000073: Use of deprecated feature may mask deprecated features in author code.
DescriptionSection 2 - Pronouns in the extension Plurality by Emily Short uses the deprecated phrase:'if using the manual pronouns option, do nothing' instead of the preferred 'if the manual pronouns option is active, do nothing'. Since Plurality is so commonly used, this can make it harder to track deprecated features in one's own code (the problem message thrown up by Plurality may stop the compiler before it finds other deprecated phrases in author code, and one will never get a successful compile when the 'use no deprecated features' option is used and Plurality is present, thus making it harder to test that one has a working version of one's own code without deprecated features.
Minimal Source Text To Reproduce
Use no deprecated features.
Include Plurality by Emily Short.

The Wilderness is a room. 

When play begins: change the description of the player to "As hideous as ever."
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000095)
emshort (administrator)
2010-06-20 11:10

Have sent a new copy (v8) to Graham.

- Issue History
Date Modified Username Field Change
2010-06-19 08:45 Eric Eve New Issue
2010-06-19 10:54 jmcgrew Priority low => normal
2010-06-19 10:54 jmcgrew Status new => acknowledged
2010-06-19 13:31 jmcgrew Status acknowledged => confirmed
2010-06-20 08:56 graham Assigned To => emshort
2010-06-20 08:56 graham Status confirmed => assigned
2010-06-20 11:10 emshort Note Added: 0000095
2010-06-20 11:10 emshort Status assigned => resolved
2010-06-20 11:10 emshort Resolution open => fixed
2010-07-02 02:07 jmcgrew Status resolved => closed
2010-07-02 02:07 jmcgrew Product Version => 6E59
2010-07-02 02:07 jmcgrew Fixed in Version => 6E72


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker